1.16.5 and old library versions

The place to discuss linux version of MakeMKV
Post Reply
milpex
Posts: 1
Joined: Fri Jan 14, 2022 10:39 pm

1.16.5 and old library versions

Post by milpex »

Hi, the current binaries (1.16.5) are linked against some old-ish libraries:

* libcodec2.so.0.9 (codec2 is now on 1.0.1)
* libaom.so.9 (aom is now on 3.2.0)
* libvpx.so.6 (vpx is now on 1.11.0)

(I have no idea if these have major breaking changes)

I'm migrating makemkv into a container to deal with the compatibility issues, but thought it was worth posting since these are all updated in Debian Bookworm/testing and will likely make their way into Ubuntu sooner than later.

I am probably blind and it's already on the site somewhere, but it might be cool to have an official MakeMKV Dockerfile or something, then you could very easily distribute it without compatibility issues.

Thanks for your work on MakeMKV!
Post Reply